3 berichten aan het bekijken - 1 tot 3 (van in totaal 3)
  • Q:
    Bijdrager
    OReason

    Readline installeren

    Hey,

    Ik wil graag Readline installeren zodat ik ruby on rails kan draaien. Ik heb de source gedownload, en geconfigged maar als ik ‘m wil make’n dan krijg ik een hoop tekst (normale config tekst ofzo..) en hij eindigt met:

    [code:1:c4654f04d2]
    Thread model: posix
    gcc version 4.0.0 20041026 (Apple Computer, Inc. build 4061)
    powerpc-apple-darwin8-gcc-4.0.0: -compatibility_version only allowed with -dynamiclib
    make[1]: *** [libreadline.5.0.dylib] Error 1
    make: [shared] Error 2 (ignored)
    [/code:1:c4654f04d2]

    Weet iemand wat dit betekend en hoe ik dit op kan lossen?

    Ik werk trouwens op Tiger, maar ’t zal op Panther wel precies tzelfde zijn.

    Inactief
    Anoniem

    Ik heb even gekeken hoe fink readline installeert. En er is wel degelijk een verschil tussen 10.3 en 10.4, in Tiger gebruiken ze “-DNEED_EXTERN_PC=1” als compiler flag. Misschien werkt dat ook voor jou?

    Fink is sowieso handig om *nix programmas te installeren op je Mac (inclusief ruby en rubygems). En anders kun je misschien ook hier kijken.

    succes,

    – Koen.

    Bijdrager
    OReason

    Hey,

    Fink lijkt me idd wel handig, heb DarwinPorts ooit al geprobeerd en dat werkte ook wel makkelijk. Maar ik heb Ruby On Rails al geinstalleerd mbv:
    http://wiki.rubyonrails.com/rails/show/HowtoInstallOnOSXTiger

3 berichten aan het bekijken - 1 tot 3 (van in totaal 3)

Je moet ingelogd zijn om een reactie op dit onderwerp te kunnen geven.